Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] XFCE4 e pango
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Mon Jan 14, 2008 12:24 pm    Post subject: [Risolto] XFCE4 e pango Reply with quote

Continuano i "Problemi" dopo l'update di sistema: mi sono accorto che non funzionava piu' XFCE (avviando vncserver, visualizzavo una schermata grigia con il puntatore a forma di X)! Visto che avevo problemi con il comando shutdown e, come consigliato nell'altro thread, ho risolto facendo un
Code:
emerge baselayout
, ho pensato di fare un
Code:
 emerge xfce4


In effetti c'erano una 20-ina di pacchetti da aggiornare (avevo su la 4.2.x), peccato che puntualmente arrivi x11-libs/pango-1.18.3 e l'operazione si blocchi!

Queste sono le ultime righe di emerge
Code:
make[3]: Entering directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/modules/tibetan'
/bin/sh ../../libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -DG_LOG_DOMAIN=\"Pango\" -DPANGO_ENABLE_ENGINE -DG_DISABLE_CAST_CHECKS -I../.. -I../../pango -DG_DISABLE_DEPRECATED -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/freetype2   -I/usr/include/freetype2    -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -Wall -MT tibetan-fc.lo -MD -MP -MF .deps/tibetan-fc.Tpo -c -o tibetan-fc.lo tibetan-fc.c
mkdir .libs
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -DG_LOG_DOMAIN=\"Pango\" -DPANGO_ENABLE_ENGINE -DG_DISABLE_CAST_CHECKS -I../.. -I../../pango -DG_DISABLE_DEPRECATED -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/freetype2 -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -Wall -MT tibetan-fc.lo -MD -MP -MF .deps/tibetan-fc.Tpo -c tibetan-fc.c  -fPIC -DPIC -o .libs/tibetan-fc.o
mv -f .deps/tibetan-fc.Tpo .deps/tibetan-fc.Plo
/bin/sh ../../libtool --tag=CC   --mode=link i686-pc-linux-gnu-gcc  -march=pentium3 -O2 -mtune=i686 -pipe -fomit-frame-pointer -Wall -module -export-dynamic -avoid-version -export-symbols-regex "^script_engine_.*"  -o pango-tibetan-fc.la -rpath /usr/lib/pango/1.6.0/modules tibetan-fc.lo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   ../../pango/libpango-1.0.la ../../pango/libpangoft2-1.0.la -lfreetype -lz -lfontconfig -lexpat   -lfreetype -lz
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libgobject-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libgmodule-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libglib-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libgobject-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libgmodule-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libglib-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libfontconfig.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libexpat.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../..//libfreetype.la' seems to be moved
generating symbol list for `pango-tibetan-fc.la'
/usr/bin/nm -B  .libs/tibetan-fc.o  | sed -n -e 's/^.*[         ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][      ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /bin/sed 's/.* //' | sort | uniq > .libs/pango-tibetan-fc.exp
/bin/grep -E -e "^script_engine_.*" ".libs/pango-tibetan-fc.exp" > ".libs/pango-tibetan-fc.expT"
mv -f ".libs/pango-tibetan-fc.expT" ".libs/pango-tibetan-fc.exp"
echo "{ global:" > .libs/pango-tibetan-fc.ver
 cat .libs/pango-tibetan-fc.exp | sed -e "s/\(.*\)/\1;/" >> .libs/pango-tibetan-fc.ver
 echo "local: *; };" >> .libs/pango-tibetan-fc.ver
 i686-pc-linux-gnu-gcc -shared  .libs/tibetan-fc.o  -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/pango/.libs -L/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/pango/.libs /usr/lib/libgobject-2.0.so -L/usr/lib /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so ../../pango/.libs/libpango-1.0.so -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../ ../../pango/.libs/libpangoft2-1.0.so /usr/lib/libfontconfig.so /usr/lib/libexpat.so /usr/lib/libfreetype.so -lz  -march=pentium3 -mtune=i686 -Wl,-soname -Wl,pango-tibetan-fc.so -Wl,-version-script -Wl,.libs/pango-tibetan-fc.ver -o .libs/pango-tibetan-fc.so
creating pango-tibetan-fc.la
(cd .libs && rm -f pango-tibetan-fc.la && ln -s ../pango-tibetan-fc.la pango-tibetan-fc.la)
make[3]: Leaving directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/modules/tibetan'
make[3]: Entering directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/modules'
Writing a pango.modules file to use with tests/examples.
/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/pango/.libs/lt-pango-querymodules: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
make[3]: *** [pango.modules] Error 127
make[3]: Leaving directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/modules'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3'
make: *** [all] Error 2
 *
 * ERROR: x11-libs/pango-1.18.3 failed.
 * Call stack:
 *       ebuild.sh, line 1701:  Called dyn_compile
 *       ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *       ebuild.sh, line   44:  Called src_compile
 *       ebuild.sh, line 1383:  Called gnome2_src_compile
 *   gnome2.eclass, line   71:  Called die
 * The specific snippet of code:
 *      emake || die "compile failure"
 *  The die message:
 *   compile failure
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-libs/pango-1.18.3/temp/build.log'.
 *

 * Messages for package x11-libs/pango-1.18.3:

 *
 * ERROR: x11-libs/pango-1.18.3 failed.
 * Call stack:
 *       ebuild.sh, line 1701:  Called dyn_compile
 *       ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *       ebuild.sh, line   44:  Called src_compile
 *       ebuild.sh, line 1383:  Called gnome2_src_compile
 *   gnome2.eclass, line   71:  Called die
 * The specific snippet of code:
 *      emake || die "compile failure"
 *  The die message:
 *   compile failure
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-libs/pango-1.18.3/temp/build.log'.
 *


Ho gia' dato revdep-rebuild -X, ma senza risulutati! Cercando sul forum ho trovato un paio di thread, uno che consigliava di passare a xorg-x11 con eselect opengl (fatto, era gia' cosi') e l'altro che consigliava di aggiornare i driver della scheda grafica (fatto, senza risultati)! Sono un po' a corto d'idee! :roll:


Last edited by Jabber00 on Tue Jan 15, 2008 11:15 pm; edited 1 time in total
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Mon Jan 14, 2008 12:59 pm    Post subject: Re: XFCE4 e pango Reply with quote

Jabber00 wrote:
/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/pango/.libs/lt-pango-querymodules: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
...
Ho gia' dato revdep-rebuild -X, ma senza risulutati!


Sicuro? Perché quello sembrerebbe essere il problema di expat, visto in numerosi topic (ad esempio questo).

che versione di expat hai?
_________________
Ciao da me!
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Mon Jan 14, 2008 1:15 pm    Post subject: Re: XFCE4 e pango Reply with quote

randomaze wrote:
Jabber00 wrote:
/var/tmp/portage/x11-libs/pango-1.18.3/work/pango-1.18.3/pango/.libs/lt-pango-querymodules: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
...
Ho gia' dato revdep-rebuild -X, ma senza risulutati!


Sicuro? Perché quello sembrerebbe essere il problema di expat, visto in numerosi topic (ad esempio questo).

che versione di expat hai?


La 2.0.1, l'ho aggiornata pochi giorni fa (qui il thread con i problemi avuti in quell'occasione: https://forums.gentoo.org/viewtopic-t-627707-highlight-.html)


Last edited by Jabber00 on Mon Jan 14, 2008 4:03 pm; edited 1 time in total
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Mon Jan 14, 2008 2:50 pm    Post subject: Reply with quote

io quel problema l'ho risolto molto grezzamente con un
Code:
ln -s /usr/lib/libexpat.so.1 /usr/lib/libexpat.so.0
io cercherei se ci sono ancora pacchetti installati che usano libexpat.so.0
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Mon Jan 14, 2008 3:06 pm    Post subject: Reply with quote

devilheart wrote:
io quel problema l'ho risolto molto grezzamente con un
Code:
ln -s /usr/lib/libexpat.so.1 /usr/lib/libexpat.so.0
io cercherei se ci sono ancora pacchetti installati che usano libexpat.so.0


consiglierei pure io un bel revdep-rebuild -X prima di continuare, oltre alla lettura approfondita del thread citato da randomaze riguardante i problemi con expat.
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Mon Jan 14, 2008 3:17 pm    Post subject: Reply with quote

Peach wrote:
devilheart wrote:
io quel problema l'ho risolto molto grezzamente con un
Code:
ln -s /usr/lib/libexpat.so.1 /usr/lib/libexpat.so.0
io cercherei se ci sono ancora pacchetti installati che usano libexpat.so.0


consiglierei pure io un bel revdep-rebuild -X prima di continuare, oltre alla lettura approfondita del thread citato da randomaze riguardante i problemi con expat.


revdep-rebuild -X e' la terza volta che lo eseguo ed ha sempre completato il suo lavoro, senza errori ne' nulla!

Ho riemerso expat, nuovamente revdep-rebuild -X, nuovamente completato... ma pango non s'installa! :?

quanto a
Code:
ln -s /usr/lib/libexpat.so.1 /usr/lib/libexpat.so.0
sbaglio o non e' considerata una soluzione pulitissima? Mi pare di averlo letto in altri thread quando ho avuto il problema (nuovamente?) ad aggiornare expat!

Edit: questo e' parte dell'output di
Code:
revdep-rebuild -X --library libexpat.so.0


Code:

--- replaced obj /usr/include/apr-1/apr_md5.h
--- replaced obj /usr/include/apr-1/apr_md4.h
--- replaced obj /usr/include/apr-1/apr_ldap_url.h
--- replaced obj /usr/include/apr-1/apr_ldap_option.h
--- replaced obj /usr/include/apr-1/apr_ldap_init.h
--- replaced obj /usr/include/apr-1/apr_ldap.h
--- replaced obj /usr/include/apr-1/apr_hooks.h
--- replaced obj /usr/include/apr-1/apr_dbm.h
--- replaced obj /usr/include/apr-1/apr_dbd.h
--- replaced obj /usr/include/apr-1/apr_date.h
--- replaced obj /usr/include/apr-1/apr_buckets.h
--- replaced obj /usr/include/apr-1/apr_base64.h
--- replaced obj /usr/include/apr-1/apr_anylock.h
--- replaced dir /usr/include/apr-1
--- replaced dir /usr/include
--- replaced obj /usr/bin/apu-1-config
--- replaced dir /usr/bin
--- replaced dir /usr
>>> Regenerating /etc/ld.so.cache...
>>> Original instance of package unmerged safely.
>>> Regenerating /etc/ld.so.cache...
>>> dev-libs/apr-util-1.2.10 merged.

>>> No packages selected for removal by clean
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.
 * GNU info directory index is up-to-date.
 * IMPORTANT: 1 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
Build finished correctly. Removing temporary files...
You can re-run revdep-rebuild to verify that all libraries and binaries
are fixed. If some inconsistency remains, it can be orphaned file, deep
dependency, binary package or specially evaluated library.


A pare tutto in ordine... o no?

Questo e' il risuluato di
Code:
revdep-rebuild -pv
lanciato dopo la fine delle operazioni di cui sopra:

Code:
All prepared. Starting rebuild...
emerge --oneshot -pv =xfce-base/xfce-mcs-plugins-4.2.3 =xfce-base/xfdesktop-4.2.3 =xfce-base/xfwm4-4.2.3.2 =xfce-base/xfce4-session-4.2.3 =xfce-base/xfprint-4.2.3 =xfce-extra/xfce4-appfinder-4.2.3 =xfce-extra/xfce4-mixer-4.2.3
..........


Ovviamente XFCE devo sistemarlo (l'ho proprio disinstallato)!
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Mon Jan 14, 2008 4:40 pm    Post subject: Reply with quote

Jabber00 wrote:
quanto a
Code:
ln -s /usr/lib/libexpat.so.1 /usr/lib/libexpat.so.0
sbaglio o non e' considerata una soluzione pulitissima? Mi pare di averlo letto in altri thread quando ho avuto il problema (nuovamente?) ad aggiornare expat!
non è pulitissime a nemmeno pulita. però vale la pena tentare
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Jan 14, 2008 4:47 pm    Post subject: Reply with quote

non solo non è pulita, ma proprio sbagliata.
Ti consiglio di rimuovere il link, rimuovere i file temporanei di revdep
Code:
# rm /root/.revdep* -rf


e mettere a posto tutto con revdep-rebuild -X e seguendo il post sticky e la guida in doc.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Mon Jan 14, 2008 8:49 pm    Post subject: Reply with quote

Onip wrote:
non solo non è pulita, ma proprio sbagliata.
Ti consiglio di rimuovere il link, rimuovere i file temporanei di revdep
Code:
# rm /root/.revdep* -rf


e mettere a posto tutto con revdep-rebuild -X e seguendo il post sticky e la guida in doc.


Gia' fatto: mi riemerge ogni volta la stessa libreria, sebbene la compilazione venga compilata con successo! :roll:
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Jan 14, 2008 9:08 pm    Post subject: Reply with quote

prova a postare l'ouput completo di
Code:

# rm -rf /root/.revdep*
# revdep-rebuild -pv

_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Mon Jan 14, 2008 9:46 pm    Post subject: Reply with quote

Onip wrote:
prova a postare l'ouput completo di
Code:

# rm -rf /root/.revdep*
# revdep-rebuild -pv


Code:
SLASHmk2 ~ # rm -rf /root/.revdep*
SLASHmk2 ~ # revdep-rebuild -pv
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
  broken /usr/bin/fc-cache (requires  libexpat.so.0)
  broken /usr/bin/fc-list (requires  libexpat.so.0)
  broken /usr/bin/fc-match (requires  libexpat.so.0)
  broken /usr/bin/svn (requires  libexpat.so.0)
  broken /usr/bin/svnadmin (requires  libexpat.so.0)
  broken /usr/bin/svndumpfilter (requires  libexpat.so.0)
  broken /usr/bin/svnlook (requires  libexpat.so.0)
  broken /usr/bin/svnserve (requires  libexpat.so.0)
  broken /usr/bin/svnversion (requires  libexpat.so.0)
  broken /usr/bin/wxrc-2.6 (requires  libexpat.so.0)
  broken /usr/bin/xterm (requires  libexpat.so.0)
  broken /usr/lib/libXft.so.2.1.2 (requires  libexpat.so.0)
  broken /usr/lib/libaprutil-0.so.0.9.12 (requires  libexpat.so.0)
  broken /usr/lib/libfontconfig.so.1.0.4 (requires  libexpat.so.0)
  broken /usr/lib/libneon.so.26.0.1 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_client-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_delta-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_diff-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_fs_base-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_fs_fs-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_dav-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_local-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_svn-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_repos-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_subr-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_swig_perl-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_swig_py-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_wc-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libwx_base_xml-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/sbin/ab2 (requires  libexpat.so.0)
  broken /usr/sbin/ab2-ssl (requires  libexpat.so.0)
  broken /usr/sbin/apache2 (requires  libexpat.so.0)
  broken /usr/sbin/checkgid2 (requires  libexpat.so.0)
  broken /usr/sbin/htdbm (requires  libexpat.so.0)
  broken /usr/sbin/htdigest2 (requires  libexpat.so.0)
  broken /usr/sbin/htpasswd2 (requires  libexpat.so.0)
  broken /usr/sbin/httxt2dbm (requires  libexpat.so.0)
  broken /usr/sbin/logresolve2 (requires  libexpat.so.0)
  broken /usr/sbin/rotatelogs2 (requires  libexpat.so.0)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order...
Warning: Failed to resolve package order.
Will merge in "random" order!
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
  and/or /etc/portage/package.unmask to unmask it
..... done.
  (/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot -pv =net-misc/neon-0.26.1-r1 =dev-libs/apr-util-0.9.12 =dev-util/subversion-1.3.2-r3 =x11-libs/libXft-2.1.10 =x11-libs/wxGTK-2.6.3.3 =media-libs/fontconfig-2.3.2-r1 =x11-terms/xterm-222 =www-servers/apache-2.0.58-r2
..........

These are the packages that would be merged, in order:

Calculating dependencies \
emerge: there are no ebuilds to satisfy "=media-libs/fontconfig-2.3.2-r1".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*


Mi ricompila sempre =dev-libs/apr-util-0.9.12
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Jan 14, 2008 11:35 pm    Post subject: Reply with quote

apr-util è mascherato.
posta questo che vediamo un po' meglio (ho dimenticato il -X prima, sorry )
Code:

# rm -rf /root/.revdep*
# revdep-rebuild -X -pv

_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 12:22 am    Post subject: Reply with quote

Onip wrote:
apr-util è mascherato.


Essendo mascherato, non dovrebbe saltarlo? Me lo ricompila ogni volta!

Quote:

posta questo che vediamo un po' meglio (ho dimenticato il -X prima, sorry )
Code:

# rm -rf /root/.revdep*
# revdep-rebuild -X -pv


Code:
SLASHmk2 ~ # rm -rf /root/.revdep*
SLASHmk2 ~ # revdep-rebuild -X -pv
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
  broken /usr/bin/fc-cache (requires  libexpat.so.0)
  broken /usr/bin/fc-list (requires  libexpat.so.0)
  broken /usr/bin/fc-match (requires  libexpat.so.0)
  broken /usr/bin/svn (requires  libexpat.so.0)
  broken /usr/bin/svnadmin (requires  libexpat.so.0)
  broken /usr/bin/svndumpfilter (requires  libexpat.so.0)
  broken /usr/bin/svnlook (requires  libexpat.so.0)
  broken /usr/bin/svnserve (requires  libexpat.so.0)
  broken /usr/bin/svnversion (requires  libexpat.so.0)
  broken /usr/bin/wxrc-2.6 (requires  libexpat.so.0)
  broken /usr/bin/xterm (requires  libexpat.so.0)
  broken /usr/lib/libXft.so.2.1.2 (requires  libexpat.so.0)
  broken /usr/lib/libaprutil-0.so.0.9.12 (requires  libexpat.so.0)
  broken /usr/lib/libfontconfig.so.1.0.4 (requires  libexpat.so.0)
  broken /usr/lib/libneon.so.26.0.1 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_client-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_delta-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_diff-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_fs_base-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_fs_fs-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_dav-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_local-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_ra_svn-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_repos-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_subr-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_swig_perl-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_swig_py-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libsvn_wc-1.so.0.0.0 (requires  libexpat.so.0)
  broken /usr/lib/libwx_base_xml-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/sbin/ab2 (requires  libexpat.so.0)
  broken /usr/sbin/ab2-ssl (requires  libexpat.so.0)
  broken /usr/sbin/apache2 (requires  libexpat.so.0)
  broken /usr/sbin/checkgid2 (requires  libexpat.so.0)
  broken /usr/sbin/htdbm (requires  libexpat.so.0)
  broken /usr/sbin/htdigest2 (requires  libexpat.so.0)
  broken /usr/sbin/htpasswd2 (requires  libexpat.so.0)
  broken /usr/sbin/httxt2dbm (requires  libexpat.so.0)
  broken /usr/sbin/logresolve2 (requires  libexpat.so.0)
  broken /usr/sbin/rotatelogs2 (requires  libexpat.so.0)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to packages...
  /usr/bin/fc-cache -> media-libs/fontconfig
  /usr/bin/fc-list -> media-libs/fontconfig
  /usr/bin/fc-match -> media-libs/fontconfig
  /usr/bin/svn -> dev-util/subversion
  /usr/bin/svnadmin -> dev-util/subversion
  /usr/bin/svndumpfilter -> dev-util/subversion
  /usr/bin/svnlook -> dev-util/subversion
  /usr/bin/svnserve -> dev-util/subversion
  /usr/bin/svnversion -> dev-util/subversion
  /usr/bin/wxrc-2.6 -> x11-libs/wxGTK
  /usr/bin/xterm -> x11-terms/xterm
  /usr/lib/libXft.so.2.1.2 -> x11-libs/libXft
  /usr/lib/libaprutil-0.so.0.9.12 -> dev-libs/apr-util
  /usr/lib/libfontconfig.so.1.0.4 -> media-libs/fontconfig
  /usr/lib/libneon.so.26.0.1 -> net-misc/neon
  /usr/lib/libsvn_client-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_delta-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_diff-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_fs_base-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_fs_fs-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_ra-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_ra_dav-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_ra_local-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_ra_svn-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_repos-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_subr-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_swig_perl-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_swig_py-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libsvn_wc-1.so.0.0.0 -> dev-util/subversion
  /usr/lib/libwx_base_xml-2.6.so.0.3.1 -> x11-libs/wxGTK
  /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 -> x11-libs/wxGTK
  /usr/sbin/ab2 -> www-servers/apache
  /usr/sbin/ab2-ssl -> www-servers/apache
  /usr/sbin/apache2 -> www-servers/apache
  /usr/sbin/checkgid2 -> www-servers/apache
  /usr/sbin/htdbm -> www-servers/apache
  /usr/sbin/htdigest2 -> www-servers/apache
  /usr/sbin/htpasswd2 -> www-servers/apache
  /usr/sbin/httxt2dbm -> www-servers/apache
  /usr/sbin/logresolve2 -> www-servers/apache
  /usr/sbin/rotatelogs2 -> www-servers/apache
 done.
  (/root/.revdep-rebuild.4_packages_raw, /root/.revdep-rebuild.4_package_owners)

Cleaning list of packages to rebuild... done.
  (/root/.revdep-rebuild.4_packages)

Assigning packages to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot -pv =dev-libs/apr-util-1.2.10
..........

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-libs/apr-util-1.2.10  USE="berkdb gdbm ldap -doc -mysql -postgres -sqlite -sqlite3" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Build finished correctly. Removing temporary files...
You can re-run revdep-rebuild to verify that all libraries and binaries
are fixed. If some inconsistency remains, it can be orphaned file, deep
dependency, binary package or specially evaluated library.


Ancora una volta =dev-libs/apr-util-1.2.10
Se e' gia'installato, perche' lo riemerge? :?

Edit: dunque, usando quel trucchetto (quello di creare il link simbolico) sono riuscito ad emergere pango, quindi anche l'emerge di xfce4 e' andato a buon fine... ma non parte comunque! Ho uardato nel log e... ancora expat! :x
Se rimetto il link simbolico, parte, ma non e' che posso tenerlo cosi'! :?
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jan 15, 2008 9:27 am    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-618956-highlight-aprutil.html

Sembra l'identico problema.

Se non funziona prova a fare così
Code:

# qdepends -Q apr-util   <--- per vedere chi ha apr-util come dipendenza
# emerge -C apr-util  <-- togli tutte le versioni che hai installato
# emerge -1 <dipendenze_trovate_sopra>


e poi riprova con il revdep-rebuild

In bocca al lupo :)

EDIT: togli il link a libexpat
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 11:41 am    Post subject: Reply with quote

Onip wrote:
https://forums.gentoo.org/viewtopic-t-618956-highlight-aprutil.html

Sembra l'identico problema.

Se non funziona prova a fare così
Code:

# qdepends -Q apr-util   <--- per vedere chi ha apr-util come dipendenza
# emerge -C apr-util  <-- togli tutte le versioni che hai installato
# emerge -1 <dipendenze_trovate_sopra>


e poi riprova con il revdep-rebuild

In bocca al lupo :)

EDIT: togli il link a libexpat


Allora, come descritto nel thread linkato, ho riemerso media-libs/fontconfig e ora XFCE4 parte!

L'output di qdepends e':
Code:
SLASHmk2 ~ # qdepends -Q apr-util
dev-util/subversion-1.3.2-r3
www-servers/apache-2.0.58-r2


Dei due, Apache non si avvia (ma lo sapevo gia') sempre per colpa di expat! :roll:

Il link l'ho rimosso quando ho finito di emergere pango! :D

Ora la ToDo list prevede:
sistemare apr-util
sistemare Apache
verificare se questo caspitina di expat funziona o no! :x
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 5:16 pm    Post subject: Reply with quote

Ultimo aggiornamento:
con la procedura suggeritami nell'ultimo post, ho sistemato apr-util e con esso Apache (ora si avvia senza restituire alcun errore)!

Questo e' l'output di revdep-rebuild -X dopo aver eseguito quello di cui dicevo:
Code:
SLASHmk2 ~ # rm /root/.revdep* -rf
SLASHmk2 ~ # revdep-rebuild -X
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
  broken /usr/bin/wxrc-2.6 (requires  libexpat.so.0)
  broken /usr/bin/xterm (requires  libexpat.so.0)
  broken /usr/lib/libXft.so.2.1.2 (requires  libexpat.so.0)
  broken /usr/lib/libneon.so.26.0.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_base_xml-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 (requires  libexpat.so.0)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to packages...
  /usr/bin/wxrc-2.6 -> x11-libs/wxGTK
  /usr/bin/xterm -> x11-terms/xterm
  /usr/lib/libXft.so.2.1.2 -> x11-libs/libXft
  /usr/lib/libneon.so.26.0.1 -> net-misc/neon
  /usr/lib/libwx_base_xml-2.6.so.0.3.1 -> x11-libs/wxGTK
  /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 -> x11-libs/wxGTK
 done.
  (/root/.revdep-rebuild.4_packages_raw, /root/.revdep-rebuild.4_package_owners)

Cleaning list of packages to rebuild... done.
  (/root/.revdep-rebuild.4_packages)

Assigning packages to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.


Tutto ok? Lo archivio come problema risolto (e gia' ne ho un altro :roll: ovvero non si avvia il terminale in XFCE: c'entrera' qualcosa quel broken /usr/bin/xterm (requires libexpat.so.0) che vedo piu' sopra?)?
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jan 15, 2008 6:26 pm    Post subject: Reply with quote

se non assegna i file a nessun ebuild vuol dire che sono file orfani rimasti lì da qualche disinstallazione.
controlla con
Code:
# qfile <nome_file>

che non appartengano effettivamente a nessuno e poi rimuovili pure.

EDIT: revdep assegna i file a degli ebuild, rimuovi il link e riemergili
Code:
# emerge -1 <lista_packages>

_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 7:29 pm    Post subject: Reply with quote

Doppio post: scusate, ho cliccato su riporta invece che su modifica!

Last edited by Jabber00 on Tue Jan 15, 2008 11:19 pm; edited 1 time in total
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 7:36 pm    Post subject: Reply with quote

Onip wrote:
se non assegna i file a nessun ebuild vuol dire che sono file orfani rimasti lì da qualche disinstallazione.
controlla con
Code:
# qfile <nome_file>

che non appartengano effettivamente a nessuno e poi rimuovili pure.

EDIT: revdep assegna i file a degli ebuild, rimuovi il link e riemergili
Code:
# emerge -1 <lista_packages>


Cioe', non ho capito: dovrei dare
Code:
 emerge -1 x11-libs/wxGTK x11-libs/libXft net-misc/neon
?
I file indicati da qfile li devo eliinare o no (direi di no, altrimenti perche' li devo riemergere)?
Che link devo rimuovere? Quello a libexpat.so.0 ho gia' detto di averlo tolto!


Last edited by Jabber00 on Tue Jan 15, 2008 11:18 pm; edited 1 time in total
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Tue Jan 15, 2008 9:47 pm    Post subject: Reply with quote

Onip wrote:
se non assegna i file a nessun ebuild vuol dire che sono file orfani rimasti lì da qualche disinstallazione.
controlla con
Code:
# qfile <nome_file>

che non appartengano effettivamente a nessuno e poi rimuovili pure.


l'opzione per vedere se (anche in una dir) ci sono file orfani è
Code:
# qfile -o <path>

_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
Jabber00
n00b
n00b


Joined: 05 Feb 2007
Posts: 43

PostPosted: Tue Jan 15, 2008 11:14 pm    Post subject: Reply with quote

Ho fatto di testa mia, con emerge -1 e ora questo e' il risultato di
Code:
revdep-rebuild -X -pv


Code:
revdep-rebuild -X -pv
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to packages...
 done.
  (/root/.revdep-rebuild.4_packages_raw, /root/.revdep-rebuild.4_package_owners)

Cleaning list of packages to rebuild... done.
  (/root/.revdep-rebuild.4_packages)

Assigning packages to ebuilds... Nothing to rebuild

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.


Direi che ora e' tutto ok, no?
Ora mi tocca solo cercare (e forse aprire un altro thread :roll:) per capire perche' non parte un tubo in XFCE! :cry:

Edit: rettifico: ora parte tutto! Mi deve aver sentito che parlavo male di lui! :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum